Skip to main content
GET
/
public-api
/
end-companies
/
{psa_company_id}
Get an end-company
curl --request GET \
  --url https://api.neoagent.io/public-api/end-companies/{psa_company_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.neoagent.io/public-api/end-companies/{psa_company_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.neoagent.io/public-api/end-companies/{psa_company_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "auto_assign_exchange_admin": true,
    "azure_application_access_granted": true,
    "azure_delegated_access_granted": true,
    "custom_instructions": "<string>",
    "custom_instructions_for_user_facing_chat": "<string>",
    "employee_identity_provider": {
      "onprem_ad_adconnect_server_hostname": "<string>",
      "onprem_ad_runner_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "mailbox_provider": {
      "onprem_exchange_runner_hostname": "<string>",
      "onprem_exchange_server_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "marketplace_company_ids": [
      {
        "company_id": "<string>"
      }
    ],
    "psa_company_id": "<string>",
    "psa_company_name": "<string>",
    "tenant_id": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

psa_company_id
string
required

Response

Success.

data
PublicEndCompany · object
required
meta
object
required